"""
Upload the funround folder to .../<gameDirectory>/addons/eventcripts/
Add the following line to your .../<gameDirectory>/cfg/autoexec.cfg:
es_load funround
Restart your server
Requires EventScripts v2.0.0.250i -> http://Mattie.info/Cs
Requires Mani Admin v1.2s ->  http://Mani-Admin-Plugin.com
To open the menu Type in chat : !funround
Add admins to the admin list below in the indicated format
""" 

###Module Import
##
#

import es
import popuplib
import cmdlib
import playerlib
import gamethread
from path import path

#
##
###

###  Admin List
##
#

admins = ['STEAM_0:1:6899921','STEAM_0:1:5555545','STEAM_0:1:111112']

#
##
###


###  Addon Info
##
#

info = es.AddonInfo()
info.name = "Funrounds"
info.version = "1.0"
info.basename = __name__.split(".", 1)[~0].replace(".", "/")
info.author = "Created by Lobe and edited by haN"
info.description = "EventScripts v2.0.0.250i Addon: Funrounds" 

#
##
###


###  Necessary Functions
##
#

def load():
    cmdlib.registerSayCommand('!funround', funCmd, "Funround Menu Request")
    funmenu = popuplib.easymenu('funmenu',None,menuhandler)
    funmenu.settitle('Funround Menu: Choose a Funround')
    funmenu.addoption('1','Knife Round')
    funmenu.addoption('2','1HP Knife Round')
    funmenu.addoption('3','Pistol Round')
    funmenu.addoption('4','Shotgun Round')
    funmenu.addoption('5','1HP Flashbang Round')
    funmenu.addoption('6','1HP MachineGun Round')
    funmenu.addoption('7','Scout Round')
    funmenu.addoption('8','TMP/MAC10 Round')
    funmenu.addoption('9','1000HP Round')
    funmenu.addoption('10','HE Grenades Round')
    es.set('_next_round',0)
    es.set('_current_round',0)
    
def unload():
    popuplib.delete('funmenu')
    cmdlib.unregisterSayCommand('!funround')
    
#
##
###

###  Popupmenu Handler
##
#

def menuhandler(userid, choice, popupname):
    choice2 = int(choice)
    if choice2 == 1:
        es.centermsg('NEXT ROUND : Knife Round')
        es.set('_next_round',1)
    
    if choice2 == 2:
        es.centermsg('NEXT ROUND : 1HP Knife Round')
        es.set('_next_round',2)
    
    if choice2 == 3:
        es.centermsg('NEXT ROUND : Pistol Round')
        es.set('_next_round',3)  
    
    if choice2 == 4:
        es.centermsg('NEXT ROUND : Shotgun Round')
        es.set('_next_round',4)  
    
    if choice2 == 5:
        es.centermsg('NEXT ROUND : 1HP Flashbang Round') 
        es.set('_next_round',5) 
    
    if choice2 == 6:
        es.centermsg('NEXT ROUND : 1HP MachineGun Round')
        es.set('_next_round',6)  
    
    if choice2 == 7:
        es.centermsg('NEXT ROUND : Scount Round')
        es.set('_next_round',7)  
    
    if choice2 == 8:
        es.centermsg('NEXT ROUND : TMP/MAC10 Round')
        es.set('_next_round',8)  

    if choice2 == 9:
        es.centermsg('NEXT ROUND : 1000HP Round')
        es.set('_next_round',9)  
       
    if choice2 == 10:
        es.centermsg('NEXT ROUND : HE Grenades Round')
        es.set('_next_round',10) 
        
#
##
###

       
###  SayCommand Function
##
#       

def funCmd(userid, args):
    steamid = es.getplayersteamid(userid)
    if steamid in admins:
        popuplib.send('funmenu', userid)          
    else:
        es.tell(userid, '#multi', '#green[Funround]: #lightgreen You Are not an Admin !')  
                  
#
##
###

       
###  Event Functions      
##
#     

def round_end(ev):
    var = int(es.ServerVar('_next_round'))
    es.server.queuecmd('ma_unrestrictall')
    es.set('_current_round',var)
    es.set('_next_round',0)
    
    if var == 1 or var == 2:
        es.server.queuecmd('ma_knives')
        
    if var == 3:
        es.server.queuecmd('ma_pistols') 
        
    if var == 4:
        es.server.queuecmd('ma_shotguns')
        
    if var == 5:
        es.server.queuecmd('ma_restrictall')
        es.server.queuecmd('ma_unresctict flashbang')
        
    if var == 6:
        es.server.queuecmd('ma_restrictall')
        es.server.queuecmd('ma_unresctict m249')
        
    if var == 7:
        es.server.queuecmd('ma_restrictall')
        es.server.queuecmd('ma_unresctict scout')
        
    if var == 8:
        es.server.queuecmd('ma_restrictall')
        es.server.queuecmd('ma_unrestrict tmp')
        es.server.queuecmd('ma_unrestrict mac10')
        
    if var == 9 or var == 0:
        pass 
        
    if var == 10:
        es.server.queuecmd('ma_restrictall')
        es.server.queuecmd('ma_unrestrict hegrenade')                                                                         
                                                                   
def player_spawn(ev):
    funround = int(es.ServerVar('_current_round'))
    if funround == 1:
        es.msg('#multi', '#greenCurrent Funround: #lightgreenKnife Round')
        
    if funround == 2:
        playerlib.getPlayer(ev['userid']).set('health', 1)
        es.msg('#multi', '#greenCurrent Funround: #lightgreen1HP Knife Round') 
         
    if funround == 3:     
        es.msg('#multi', '#greenCurrent Funround: #lightgreenPistols Round')
        
    if funround == 4:
        es.server.queuecmd('es_xgive %s weapon_m3'%ev['userid'])
        es.msg('#multi', '#greenCurrent Funround: #lightgreenShotgun Round') 
        
    if funround == 5:
        playerlib.getPlayer(ev['userid']).set('health', 1)
        es.server.queuecmd('es_xgive %s weapon_flashbang'%ev['userid'])  
        es.msg('#multi', '#greenCurrent Funround: #lightgreen1HP Flashbang Round') 
        gamethread.delayed(10, playerlib.getPlayer(ev['userid']).set, ('armor', 0))  
         
    if funround == 6:
        playerlib.getPlayer(ev['userid']).set('health', 1)
        es.server.queuecmd('es_xgive %s weapon_m249'%ev['userid'])
        es.msg('#multi', '#greenCurrent Funround: #lightgreen1HP MachineGun Round')
        
    if funround == 7:
        es.server.queuecmd('es_xgive %s weapon_scout'%ev['userid'])
        es.msg('#multi', '#greenCurrent Funround: #lightgreenScout Round')
        
    if funround == 8:
        if int(ev['es_userteam']) == 2:
            es.server.queuecmd('es_xgive %s weapon_mac10'%ev['userid'])
        if int(ev['es_userteam']) == 3:
            es.server.queuecmd('es_xgive %s weapon_tmp'%ev['userid'])  
        es.msg('#multi', '#greenCurrent Funround: #lightgreenTMP/MAC10 Round')   
                
    if funround == 9:
        es.server.queuecmd('playerset health %s 1000'%ev['userid']) 
        es.msg('#multi', '#greenCurrent Funround: #lightgreen1000HP Round')     
        
    if funround == 10:
        es.server.queuecmd('es_xgive %s weapon_hegrenade'%ev['userid'])   
        es.msg('#multi', '#greenCurrent Funround: #lightgreenHE Grenade Round')          

def hegrenade_detonate(ev):
    var = int(es.ServerVar('_current_round'))
    if var == 10:
        es.server.queuecmd('es_xgive %s weapon_hegrenade'%int(ev['userid']))       
        
def flashbang_detonate(ev):
    var = int(es.ServerVar('_current_round'))
    if var == 5:
        es.server.queuecmd('es_xgive %s weapon_flashbang'%int(ev['userid']))  
        
def player_blind(ev):
    var = int(es.ServerVar('_current_round'))
    if var == 5:
        es.setplayerprop(int(ev['userid']) ,"CCSPlayer.m_flFlashDuration" ,0) 

#
##
###